MKFS.FAT(8)

NOM
mkfs.fat – Créer un système de fichiers FAT MS-DOS

SYNOPSIS
mkfs.fat [options] périphérique [nombre_de_blocs]

DESCRIPTION
mkfs.fat est utilisé pour créer un système de fichiers FAT sur un périphérique ou un fichier image. périphérique est le fichier spécial correspondant au périphérique (par exemple /dev/sdXX) ou le fichier image (n’ayant pas besoin d’exister si l’option -o est fournie). nombre_de_blocs est le nombre de blocs sur le périphérique et la taille d’un bloc est toujours de 1024 octets indépendamment de la taille de secteur ou d’unité d’allocation. Par conséquent, nombre_de_blocs précise la taille du système de fichiers avec KiB comme unité et pas en nombre de secteurs (comme pour toutes les autres options de mkfs.fat). S'il n'est pas présent, mkfs.fat détermine automatiquement la taille du système de fichiers.

Deux autres variantes du système de fichiers FAT sont prises en charge. Les systèmes de fichiers FAT12, FAT16 et FAT32 sont la norme telle que définie par Microsoft et sont largement utilisés pour les disques durs et les supports amovibles tels que les clés USB et les cartes SD. Une autre norme est la variante patrimoniale d’Atari utilisée sur les Atari ST.

Dans le mode Atari, sauf indication contraire, mkfs.fat utilise toujours deux secteurs par unité d’allocation puisque GEMDOS n’apprécie pas beaucoup d’autres valeurs. Il se conformera toujours au nombre maximal de secteurs que GEMDOS peut gérer. Les systèmes de fichiers plus gros sont gérés en augmentant la taille du secteur logique. Un numéro de série compatible Atari est généré pour le système de fichiers et une FAT (table d'allocation des fichiers) de 12 bits est utilisée uniquement pour les systèmes de fichiers qui ont la taille d'une disquette habituelle (720 ko, 1,2 Mo, 1,44 Mo ou 2,88 Mo). Sinon, ce sera une FAT de 16 bits. Cela peut être modifié avec l'option -F. Quelques champs du secteur de démarrage spécifique aux PC ne sont pas écrits et le message de démarrage (option -m) est ignoré.

OPTIONS

-a  Normalement, pour tous les systèmes de fichiers à l'exception des très petits, mkfs.fat alignera toutes les structures de données avec la taille d’unité d’allocation pour s'assurer que tant que la partition est alignée correctement, les structures de données du système de fichiers le seront aussi. Cette option désactive l'alignement ; cela peut fournir une poignée d’unités d’allocation supplémentaires pour le stockage au prix d'une dégradation significative des performances pour les disques RAID, pour les mémoires flash ou pour les disques durs avec de gros secteurs.

-A  Sélectionner la variante Atari du système de fichiers FAT si elle n’est pas déjà en cours, ou autrement sélectionner le système de fichiers FAT standard. Cela est sélectionné par défaut si mkfs.fat est exécuté sur Linux 68k Atari.

-b secteur_de_sauvegarde
    Indiquer l'emplacement du secteur de sauvegarde de l’amorçage pour les systèmes de fichiers FAT32. La valeur par défaut dépend du nombre de secteurs réservés, mais il s'agit d'habitude du secteur 6. Si un espace libre est disponible après le secteur de sauvegarde, alors la sauvegarde du secteur d’informations de FAT32 est placé après le secteur de sauvegarde d’amorçage, habituellement le secteur 7. La sauvegarde doit être comprise dans l'intervalle des secteurs réservés. Une valeur de 0 désactive complètement la création des secteurs de sauvegarde d’amorçage et d’informations de FAT32.

-c  Chercher les blocs défectueux sur le périphérique avant de créer le système de fichiers.

-C  Créer le fichier périphérique indiqué sur la ligne de commande et écrire le système de fichiers dans ce fichier. Cela peut être utilisé pour créer le nouveau système de fichiers dans un fichier au lieu d'utiliser un vrai périphérique, et évite l'utilisation de dd pour créer un fichier de la taille appropriée. Avec cette option, le nombre_de_blocs doit être fourni, sinon la taille désirée du système de fichiers serait inconnue. Le fichier créé est un fichier creux ; seules les métadonnées sont présentes (le secteur d’amorçage, les FAT et le répertoire racine). Les sections de données ne sont pas stockées sur le disque mais le fichier aura toujours la bonne taille. Le fichier généré peut être copié ultérieurement sur une disquette ou un autre périphérique, ou monté à l’aide d’un périphérique boucle.

-D numéro_disque
    Indiquer le numéro du disque BIOS à stocker dans le secteur d’amorçage FAT. Pour les disques durs et les médias amovibles, c’est habituellement 0x80–0xFF (0x80 est le premier disque dur C:, 0x81 est le second disque dur D:, ...), pour les disquettes et les partitions à utiliser pour leur émulation c’est 0x00–0x7F (0x00 est le premier lecteur de disquette A:, 0x01 est le second lecteur de disquette B:).

-f nombre_de_FAT
    Indiquer le nombre de tables d'allocation des fichiers dans le système de fichiers. La valeur par défaut est 2.

-F taille_FAT
    Indiquer le type des tables d'allocation des fichiers utilisé (12, 16 ou 32 bits). Si rien n'est indiqué, mkfs.fat sélectionne automatiquement entre 12, 16 et 32 bits, selon ce qui convient le mieux au système de fichiers.

-g têtes/secteurs_par_piste
    Indiquer le nombre de têtes et le nombre de secteurs_par_piste qui représentent la géométrie du périphérique. Les deux nombres sont stockés dans le secteur d’amorçage FAT. Le nombre de secteurs_par piste est utilisé pour aligner le compte total de secteurs FAT. Par défaut, la géométrie du disque est lue à partir du périphérique lui-même. S’il n’est pas accessible, alors LBA-Assist Translation et la table de translation de la Spécification de système de fichiers pour carte SD, 2ème Partie basée sur le nombre total de secteurs de disque sont utilisées.

-h nombre_de_secteurs_cachés
    Indiquer le nombre des susnommés secteurs cachés, comme stocké dans le secteur d’amorçage FAT. Ce nombre représente le secteur de début de la partition contenant le système de fichiers. Normalement, c’est un décalage (exprimé en secteur) relatif au début du disque, quoique pour les volumes logiques MBR contenus dans une partition étendue de type 0x05 (une partition étendue non LBA), une bizarrerie dans l’implémentation MS-DOS de FAT requiert que ce soit relatif à l’EBR (Extended Boot Record) immédiat de partition. Le code d’amorçage et les autres logiciels gérant les volumes FAT peuvent aussi reposer sur ce champ en étant réglés correctement. La plupart des implémentations modernes de FAT l’ignorent. Par défaut, si le périphérique est une partition de périphérique bloc, mkfs.fat utilise le décalage de partition relatif au début du disque. Sinon, mkfs.fat adopte zéro. Cette option est à utiliser pour outrepasser ce comportement.

-i id_volume
    Définir l'identifiant de volume du nouveau système de fichiers. id_volume est un nombre de 32 bits noté en hexadécimal (par exemple, 2e24ec85). La valeur par défaut est un nombre qui dépend de la date de création du système de fichiers.

-I  Ignorer et désactiver les vérifications de sécurité. Par défaut, mkfs.fat(8) refuse de créer un système de fichiers sur un périphérique avec des partitions ou un mappage virtuel. C'est différent lorsque des disques magnéto-optiques (« MO ») sont utilisés. Les partitions ne sont pas nécessaires sur les disques magnéto-optiques. Le système de fichiers peut être placé directement sur le disque entier. Sous d'autres systèmes d'exploitation, ce format est souvent appelé superfloppy (super-disquette). Cette option forcera mkfs.fat à fonctionner correctement.

-l fichier
    Lire la liste des blocs défectueux dans fichier.

-m fichier_message
    Définir le message que l'utilisateur reçoit quand il essaye d'utiliser ce système de fichiers pour lancer la machine sans avoir correctement installé un système d'exploitation. Le fichier contenant le message ne doit pas dépasser 418 octets une fois les passages à la ligne convertis en retour chariot-passage à la ligne [NDT : de LF à CRLF] et les tabulations étendues à 8 caractères. Si le nom de fichier est un tiret, le texte provenant de l'entrée standard est utilisé.

-M type_support_FAT
    Indiquer le type de support à stocker dans le secteur d’amorçage FAT. Cette valeur est normalement 0xF8 pour les disques durs et 0xF0 ou une valeur entre 0xF9 et 0xFF pour les disquettes ou les partitions à utiliser en émulation de disquette.

--mbr[=y|yes|n|no|a|auto]
    Remplir (simuler) une table MBR avec signature de disque pour une partition démarrant au secteur 0 (incluant le MBR) et étendue au disque entier. Cela est utile seulement pour les disques non extractibles utilisés sur les systèmes de Microsoft Windows et uniquement lors du formatage d’un disque entier non partitionné. L’emplacement de la signature de disque et de la table de partitions coïncide avec la fin du premier secteur FAT (emplacement du code d’amorçage), par conséquent aucun espace supplémentaire n’est utilisé. Le mode par défaut est auto dans lequel mkfs.fat place la table MBR seulement pour les disques non amovibles lors du formatage d’un disque entier non partitionné.

-n nom_de_volume
    Définir le nom de volume (ou l'étiquette) du système de fichiers. Le nom de volume peut contenir jusqu'à 11 caractères. Fournir une chaîne vide, une chaîne consistant en un espace blanc ou la chaîne « NO NAME » a le même effet que de ne pas fournir l’option -n. Par défaut, aucun nom de volume n’est défini.

--codepage=page
    Utiliser la page de code page pour l’encodage du nom de volume. Par défaut, la page de code 850 est utilisée.

-r entrées_répertoire_racine
    Sélectionner le nombre minimal d'entrées disponibles dans le répertoire racine. La valeur par défaut est de 112 ou 224 pour les disquettes et de 512 pour les disques durs. Il s’agit du nombre minimal et il peut être augmenté par mkfs.fat à cause de l’alignement des structures. Consulter aussi l’option -a de mkfs.fat.

-R nombre_de_secteurs_réservés
    Sélectionner le nombre minimal de secteurs réservés. Avec le format FAT32, au moins deux secteurs sont nécessaires, la valeur par défaut étant de 32. Sinon, la valeur par défaut est de 1 (seulement le secteur d'amorçage). Il s’agit du nombre minimal et il peut être augmenté par mkfs.fat à cause de l’alignement des structures. Consulter aussi l’option -a de mkfs.fat.

-s secteurs_par_bloc
    Indiquer le nombre de secteurs par unité d’allocation sur le disque. Cette valeur doit être une puissance de deux, c'est-à-dire : 1, 2, 4, 8, ... 128.

-S taille_de_secteur_logique
    Indiquer le nombre d'octets par secteur logique. Cette valeur doit être une puissance de deux, supérieure ou égale à 512, c'est-à-dire : 512, 1024, 2048, 4096, 8192, 16384 ou 32768. Les valeurs supérieures à 4096 ne sont pas conformes à la norme de système de fichiers FAT et pourraient ne pas fonctionner partout.

-v  Exécution en mode bavard.

--offset secteur
    Écrire le système de fichiers au secteur indiqué dans le fichier de périphérique. C’est utile pour créer un système de fichiers dans une image de disque partitionné sans devoir définir un périphérique boucle.

--variant type
    Créer un système de fichiers de type différent. Les valeurs acceptables sont standard et atari (casses indifférentes). Consulter ci-dessus DESCRIPTION pour les différences.

--help
    Afficher les options et quitter.

--invariant
    Utiliser des constantes pour les données habituellement aléatoires ou basées sur la date comme l’identifiant de volume ou la date de création. Plusieurs exécutions de mkfs.fat sur le même périphérique créent des résultats identiques avec cette option. L’objectif principal est de tester mkfs.fat.

BOGUES
mkfs.fat n'est pas en mesure de créer des systèmes de fichiers amorçables. Cela n'est pas aussi simple que cela en à l'air au premier coup d'œil pour des raisons diverses et a déjà été beaucoup débattu. mkfs.fat ne sera pas doté de cette fonctionnalité.

VOIR AUSSI
fatlabel(8), fsck.fat(8)

PAGE D'ACCUEIL
La page d’accueil du projet dosfstools est sa page de projet GitHub (https://github.com/dosfstools/dosfstools).

AUTEURS
dosfstools were written by Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de), and others. Current maintainers are Andreas Bombe (aeb@debian.org) and Pali Rohár (pali.rohar@gmail.com).

TRADUCTION
La traduction française de cette page de manuel a été créée par Sébastien Blanchet, François Wendling <frwendling@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.